Bug 1731382 - R2spec depends on Python 2
Summary: R2spec depends on Python 2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: R2spec
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-07-19 09:56 UTC by Lumír Balhar
Modified: 2019-09-09 13:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-09 13:42:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Fedora Pagure r2spec pull-request 11 None None None 2019-08-20 08:41:54 UTC

Description Lumír Balhar 2019-07-19 09:56:20 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for R2spec's future. Specifically:

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

This bug is filed semi-automatically, and might not have all the context specific to R2spec.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Lumír Balhar 2019-07-19 10:06:01 UTC
The last release was 4 years ago so I am not sure how much active this project is.

Comment 2 Lumír Balhar 2019-07-29 05:05:26 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 3 Lumír Balhar 2019-08-06 06:09:01 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 4 Ben Cotton 2019-08-13 16:47:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Lumír Balhar 2019-08-14 08:16:47 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 6 Elliott Sales de Andrade 2019-08-20 08:41:55 UTC
See https://pagure.io/r2spec/pull-request/11

Comment 7 Lumír Balhar 2019-08-28 08:06:14 UTC
Could you please release a new version and update the RPM package?

Comment 8 Lumír Balhar 2019-09-04 06:37:20 UTC
Can I help you somehow?


Note You need to log in before you can comment on or make changes to this bug.